Subject: Re: Choosing a mergetool according to file type

From: Johannes Sixt <[email-masked]>
Date: Fri, 26 Jun 2009 13:29:44 +0200

Gregory Jefferis schrieb:
> http://tortoisesvn.tigris.org/svn/tortoisesvn/trunk/contrib/diff-scripts/
> 
> diff-doc.js
> merge-doc.js
> 
> Perhaps tortoisegit already exposes this.  Those scripts include fallbacks
> for openoffice so I suppose one could use that on linux.

Thanks a lot for the pointer.

The interesting one is merge-doc.js. Unfortunately, it still only just
compares "their" and "our" versions, and the user must go through all
marked changes and reject everything that would undo "our" changes and
accept all "their" changes. That's exactly what I already do. :-(

That said, the scripts are written *much* nicer than what I have written
myself.

-- Hannes